package com.htfp.weather.griddata.common;

import lombok.Getter;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @Author : shiyi
 * @Date : 2024/6/17 17:28
 * @Description : 经纬高范围
 */
@Getter
public class ValueRange<T extends Comparable<T>>{
    T start;
    T end; // include


    public ValueRange(T start, T end) {
        this.start = start;
        this.end = end;
    }

    public ValueRange(List<T> list) {
        this.start  = Collections.min(list);
        this.end = Collections.max(list);
    }

    @Override
    public String toString() {
        return "[" + start +
                "," + end +
                ']';
    }
}
