package com.htfp.weather.web.exception;

/**
 * @Author : shiyi
 * @Date : 2024/3/14 16:30
 * @Description : 错误码枚举
 */

public enum ErrorCode {
    //
    OTHER_ERROR(-1, "其他错误"),
    VALIDATE_ERROR(1001, "参数校验错误 "),
    CONFIG_ERROR(1002, "配置相关错误 "),
    SECRET_ERROR(1003, "无权限访问"),
    DOWNLOAD_START_ERROR(1004, "数据下载启动错误"),
    DOWNLOAD_ERROR(1005, "数据下载错误"),
    TABLESTORE_IMPORT_ERROR(1006, "数据导入TableStore数据库错误"),
    MULTI_INDEX_ERROR(1007, "多点索引不正确(null或不在正确范围内)"),
    DATA_FILE_OR_DIR_NOT_EXISTS(1008, "目标文件或文件夹不存在"),
    CAN_NOT_DELETE_WHEN_IMPORT_OR_DOWNLOAD(1009, "数据导入或下载中，无法进行删除操作"),
    // 数据查询
    HE_FENG_THIS_AREA_HAVE_NO_DATA(3001, "查询的数据或地区不存在"),
    HE_FENG_REQUEST_ERROR(3002, "查询请求错误"),
    CAI_YUN_REQUEST_ERROR(3003, "查询请求错误"),
    CAI_YUN_DATA_PARSE_ERROR(3004, "数据解析错误"),
    CMA_REQUEST_ERROR(3005, "查询请求错误"),
    CMA_DATA_PARSE_ERROR(3006, "数据解析错误"),
    TIANDITU_REQUEST_ERROR(3007, "查询请求错误"),
    TIANDITU_DATA_PARSE_ERROR(3008, "数据解析错误"),
    IMPORT_DATA_INITIAL_FAILED(5001, "导入数据初始化失败"),
    NO_NC_OR_GRIB_FILES(5002, "文件夹不存在或中没有对应的气象数据文件"),

    DATA_SET_EMPTY(6000, "TableStore数据库为空，无法查询"),
    QUERY_TIME_ERROR(6001, "目标时间不在当前数据范围内"),
    LONGITUDE_INDEX_ERROR(6002, "经度坐标索引错误"),
    LATITUDE_INDEX_ERROR(6003, "纬度坐标索引错误"),
    LEVEL_INDEX_ERROR(6004, "高度坐标索引错误"),
    INDEX_SIZE_ERROR(6005, "坐标长度不一致"),
    NO_SUCH_VARIABLE(6006, "找不到变量名映射"),
    TABLESTORE_QUERY_ERROR(6007, "数据库查询错误"),
    RESPONSE_DATA_BUILD_ERROR(6008, "查询数据结果构建错误"),
    ;
    private final int code;
    private final String msg;

    ErrorCode(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
