package com.htfp.weather.web.pojo.request;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

import com.htfp.weather.download.gfs.GfsLevelsEnum;
import com.htfp.weather.web.valid.EnumValid;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Author : shiyi
 * @Date : 2024/1/24 16:11
 * @Description : 地面位置参数
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class Position3D extends Position2D {
    @NotNull(message = "高度层次 (level) 不能为空")
    @EnumValid(message = "高度层次 (level) 不存在", enumClass = GfsLevelsEnum.class)
    Integer level;
}
