package com.htfp.weather.web.pojo.response;

import com.htfp.weather.web.exception.ErrorCode;
import lombok.Data;
import lombok.ToString;

/**
 * @Author : shiyi
 * @Date : 2024/1/24 16:16
 * @Description : 统一返回结构
 */
@Data
@ToString
public class Result {
    private boolean success;
    private Integer code;
    private String message;
    private Object data;


    public Result(boolean success, Integer code, String msg, Object data) {
        this.success = success;
        this.code = code;
        this.message = msg;
        this.data = data;
    }

    public static Result success(Object data) {
        return new Result(true, 200, "success", data);
    }

    public static Result success() {
        return new Result(true, 200, "success", null);
    }

    public static Result error(ErrorCode error) {
        return new Result(false, error.getCode(), error.getMsg(), null);
    }
    public static Result error(ErrorCode error, String msg) {
        return new Result(false, error.getCode(), msg, null);
    }

    public static Result error(Throwable cause) {
        return new Result(false, null, cause.getMessage(), null);
    }
}