package com.htfp.weather.web.service.surfaceapi;

import com.htfp.weather.web.exception.AppException;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;

/**
 * @Author : shiyi
 * @Date : 2024/7/2 16:43
 * @Description :
 */
@SpringBootTest
class CmaServiceImplTest {
    @Resource
    CmaServiceImpl cmaService;
    @Test
    void normalTest() throws Exception {
        String countyIdByLatLon = cmaService.getCountyIdByLatLon(39.9042, 116.4073);
        Assertions.assertEquals("110101", countyIdByLatLon);
    }
    @Test
    void outOfRange() throws Exception {
        cmaService.getCountyIdByLatLon(39.9042, 166.4073);
        Assertions.assertThrows(AppException.class, () -> {
            cmaService.getCountyIdByLatLon(39.9042, 166.4073);
        });
        Assertions.assertThrows(AppException.class, () -> {
            cmaService.getCountyIdByLatLon(139.9042, 166.4073);
        });
    }
    @Test
    void updateCmaWarning() throws Exception {
        cmaService.updateCmaWarning();
        System.out.println(cmaService.getSurfaceWarningByCountyCode("310000"));
    }

    @Test
    void getWarningByLocation() throws Exception {
        System.out.println(cmaService.getSurfaceWarning(41.22, 123.07));
    }
}